package types

import (
	"fmt"
	"net/url"
)

type AccountHandle struct {
	Name string
	Host url.URL
}

func (a *AccountHandle) String() string {
	return fmt.Sprintf("%s@%s", a.Name, a.Host.String())
}
